/**
* Theme Name: Styler Child
* Description: This is a child theme of Styler.
* Author: <a href="http://ninetheme.com/about">Ninetheme</a>
* Template: styler
* Version: 1.2.0
*/

.product:not(.styler-single-product-type-3) .single-product-add-to-cart-type-black .woocommerce-variation-add-to-cart,
.product:not(.styler-single-product-type-3) .single-product-add-to-cart-type-gray .woocommerce-variation-add-to-cart {
    padding-left: 0;
    padding-right: 0;
}
.styler-product-gallery-main-slider img{
    pointer-events: none;
}
/* product bottom popup cart*/
.styler-product-bottom-popup-cart.new-style form.styler-summary-item.styler-flex {
    width: 100%;
}
.styler-product-bottom-popup-cart.new-style form.styler-summary-item.styler-flex>div {
    align-items: center;
    justify-content: flex-end;
    margin: 0;
    display: flex;
	width: 100%;
}
.styler-product-bottom-popup-cart.new-style.product:not(.styler-single-product-type-3) .single-product-add-to-cart-type-gray .woocommerce-variation-add-to-cart {
	margin: 0;
    padding: 0;
}
.styler-product-bottom-popup-cart.new-style button.single_add_to_cart_button.styler-btn.styler-btn-medium.styler-bg-black {
    width: auto;
    min-width: 190px;
}
.styler-product-bottom-popup-cart.new-style .woocommerce-variation-availability,
.styler-product-bottom-popup-cart.new-style .reset_variations.styler-btn-reset{
    display: none!important;
}
.styler-product-bottom-popup-cart.new-style .styler-variations {
    margin-top: 5px;
}
.styler-product-bottom-popup-cart.new-style .styler-summary-item .styler-product-button {
    min-width: 38px;
}
.styler-product-bottom-popup-cart.new-style span.styler-small-title {
    min-width: 40px;
}
.styler-product-bottom-popup-cart.new-style .styler-product-bottom-details img {
    max-width: 60px;
}
.styler-product-summary .styler-accordion-in-summary {
    display: flex;
    flex-direction: column;
}
.styler-accordion-item.last-child {
    order: 10;
}
@media(min-width:1024px){
	.single-product #wrapper {
		overflow: visible;
	}
	.styler-swiper-slider-wrapper,
	.styler-product-gallery-main-slider.styler-swiper-main,
	.styler-product-summary{
		position: sticky;
		position: -webkit-sticky;
		top: 110px;
	}
}
@media(max-width:1024px){
	.styler-sticky-cart-toggle {
		right: 10px;
		bottom: 135px;
	}
	.bottom-popup-cart-active .styler-sticky-cart-toggle {
		bottom: 195px;
	}
	body:not(.scroll-start) .styler-sticky-cart-toggle {
		bottom: 30px;
	}
}

/* products-pairs */
.styler-products-pairs {
    margin: 20px 0;
    padding: 20px;
    border: 1px solid var(--styler-gray);
    border-radius: 4px;
}
.styler-products-pairs .pair-images-slider {
    height: 100%;
}
.pairs-main-title {
    text-align: center;
}
.pairs-product-title {
    margin-bottom: 10px;
}
.pairs-product-price {
    font-size: 18px;
    margin-bottom: 10px;
    color: var(--styler-black);
}
.styler-products-pairs .woocommerce-variation-add-to-cart {
    margin-top: 0!important;
    padding: 0!important;
}
.styler-products-pairs .pairs-image {
    position: relative;
    height: 100%;
}
/*
.styler-products-pairs .pairs-image img {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    object-fit: cover;
}
*/
.styler-products-pairs .pairs-product-details {
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    width: 100%;
}
.styler-products-pairs form.variations_form.cart,
.styler-product-summary .styler-products-pairs .styler-summary-item>div{
    margin: 0;
}
.woo-variation-swatches .styler-products-pairs .wvs-style-squared.variable-items-wrapper .variable-item:not(.radio-variable-item).button-variable-item,
.woo-variation-swatches .styler-products-pairs .variable-items-wrapper .variable-item:not(.radio-variable-item) {
    font-size: 12px;
    height: 20px;
}
.woo-variation-swatches .styler-products-pairs .wvs-style-squared.variable-items-wrapper .variable-item:not(.radio-variable-item).button-variable-item .variable-item-span {
    padding: 0;
}
.styler-products-pairs .styler-product-more {
    text-align: center;
    padding: 6px;
    line-height: 1;
    margin: 5px 1px 0px;
    color: var(--styler-dark);
    border: 1px solid var(--styler-dark);
    display: block;
}
.styler-products-pairs .styler-product-more:hover {
    background-color: var(--styler-dark);
    color: #fff;
}
.styler-product-summary .styler-products-pairs .variations_form .styler-variations-items + .styler-variations-items {
    margin-top: 10px;
}
.styler-product-summary .styler-products-pairs .variations_form .styler-btn-reset.reset_variations {
    font-size: 10px;
    min-height: auto;
    margin: 3px 0px 3px 10px;
}
.pairs-divider:not(.first) {
    margin-top: 20px;
    padding-top: 15px;
    border-top: 1px dashed var(--styler-gray);
}
.styler-products-pairs .styler-summary-item .styler-product-button {
    min-width: 38px;
}
@media(max-width:768px){
    .styler-products-pairs .pair-images-slider {
        min-height: 220px;
    }
    .pairs-product-title {
        margin-top: 15px;
    }
    .styler-quickshop-new {
        position: relative;
        width: 100%;
        left: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        bottom: 0;
        background: #fff;
        padding: 20px;
        opacity: 1;
        visibility: visible;
        z-index: 5;
        -moz-transform: translateY(100%);
        -ms-transform: translateY(100%);
        -webkit-transform: translateY(100%);
        transform: none;
        will-change: transform;
        -webkit-transition: transform 0.5s ease;
        transition: transform 0.5s ease;
        border-top: 1px solid var(--styler-gray-soft);
    }
}


/* quick shop new */
.styler-loop-product .styler-product {
    position: relative;
    overflow: hidden;
	margin-bottom: 30px;
	border: 1px solid transparent;
    -webkit-transition: all 0.25s ease;
    transition: all 0.25s ease;
}
.styler-quickshop-new {
    position: absolute;
    width: calc(100% - 20px);
    left: 10px;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    bottom: 10px;
    background: #ffffffad;
    color: #000;
    padding: 5px;
    opacity: 0;
    visibility: hidden;
    z-index: 7;
    border: 1px solid var(--styler-gray-soft);
}
.styler-loop-product .styler-product:hover .styler-quickshop-new {
    opacity: 1;
    visibility: visible;
}
.styler-quickshop-new .styler-quickshop-form-wrapper {
    display: none;
    margin-top: 5px;
}
.styler-product .styler-quickshop-new.open .styler-quickshop-form-wrapper,
.styler-product .styler-quickshop-new:hover .styler-quickshop-form-wrapper {
    display: block;
}
.styler-quickshop-new .styler-variations-items .styler-small-title {
    display: none;
}
.styler-quickshop-new .woocommerce-variation-add-to-cart,
.styler-quickshop-new .woocommerce-variation-availability,
.styler-quickshop-new .reset_variations.styler-btn-reset {
    display: none!important;
}
.styler-quickshop-new .styler-variations {
    margin-bottom: 0;
}
span.styler-quickshop-title {
    line-height: 1;
}
.styler-quickshop-new form.cart>div {
    width: 100%;
    display: flex;
}
.styler-quickshop-new .styler-variations-items.variations-items>.styler-flex {
    flex-direction: column;
}
.styler-quickshop-new .styler-terms {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    display: none;
}
.styler-quickshop-new .styler-product-name {
    padding-top: 10px;
    border-top: 1px solid var(--styler-gray);
}

.product-category-wrapper {
    position: relative;
    min-height: 101px;
    width: 100%;
}
.product-category-wrapper img {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    object-fit: cover;
}
@media(max-width:768px){
    .styler-quickshop-new {
        opacity: 1;
        visibility: visible;
        justify-content: flex-start;
    }
    .styler-quickshop-new .styler-product-name {
        display: none;
    }
    #nt-woo-single .styler-quickshop-new form.cart {
        margin-bottom: 0!importantimportant;
    }
    .styler-quickshop-new .styler-variations-items.variations-items>.styler-flex {
        align-items: flex-start;
    }
    .woo-variation-swatches .styler-quickshop-new .variable-items-wrapper .variable-item:not(.radio-variable-item).button-variable-item {
        font-size: 11px;
    }
    .woo-variation-swatches .styler-quickshop-new .wvs-style-squared.variable-items-wrapper .variable-item:not(.radio-variable-item).button-variable-item .variable-item-span {
        padding: 0;
    }
}
@media (max-width: 480px) {
    #nt-woo-single .styler-quickshop-new form.cart {
        margin-bottom: 0!important;
    }
}